#if IP4
#ifndef __SYS_IP4ADDRS_H__
#define __SYS_IP4ADDRS_H__

/**************************************************************************
 *									  *
 * 		 Copyright (C) 1990, Silicon Graphics, Inc.		  *
 *									  *
 *  These coded instructions, statements, and computer programs  contain  *
 *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
 *  are protected by Federal copyright law.  They  may  not be disclosed  *
 *  to  third  parties  or copied or duplicated in any form, in whole or  *
 *  in part, without the prior written consent of Silicon Graphics, Inc.  *
 *									  *
 **************************************************************************/
#ident "$Revision: 1.5 $"

/*
 * Definitions of physical memory usage for the IP4
 * 
 * 
 * 0x1fffffff			---------------------------------
 * 				| Prom text & read only data	|
 * 0x1fc00000			---------------------------------
 * 				| SASH text, data, & bss	|
 * 0x00300000			---------------------------------
 *				| SASH stack			|
 *				--------------------------------
 *				| UNIX (if symmon loaded)	|
 * 0x00041000			---------------------------------
 *				| Diag text, data, bss, OR	|
 *				| Symmon text, data, bss	|
 * 0x00019000			---------------------------------
 *				| Diag stack, OR		|
 *				| Symmon stack, OR		|
 *				| UNIX (if symmon not loaded)	|
 * 0x00018000			---------------------------------
 *				| Prom stack			|
 * 				---------------------------------
 *				| Prom bss			|
 * 0x00000500			---------------------------------
 *				| restart block			|
 * 0x00000400			---------------------------------
 *				| general exception handler	|
 * 0x00000080			---------------------------------
 *				| utlbmiss handler		|
 * 0x00000000			---------------------------------
 */ 

/*
 * Address definitions
 */
#define	SYMMON_STACK		0xa0019000
#define	PROM_STACK		0xa0018000
#define	DIAGSTACK_ADDR		0xa0019000
#define	RESTART_ADDR		0xa0000400

/*
 * Size definitions
 */
#define SYMMON_PDASIZE		512	/* size per CPU */

#endif /* __SYS_IP4ADDRS_H__ */
#endif /* IP4 */
